# Uses of Class
org.eclipse.gef.requests.ReconnectRequest

Packages that use ReconnectRequest
Package
Description
org.eclipse.gef.editpolicies
This package contains EditPolicy implementations for many common editing Roles.
org.eclipse.gef.tools
This package provides several tool implementations.

## Uses of ReconnectRequest in org.eclipse.gef.editpolicies

Methods in org.eclipse.gef.editpolicies with parameters of type ReconnectRequest
Modifier and Type
Method
Description
`protected void`
ConnectionEndpointEditPolicy.`eraseConnectionMoveFeedback(ReconnectRequest request)`
Erases connection move feedback.
`protected FeedbackHelper`
ConnectionEndpointEditPolicy.`getFeedbackHelper(ReconnectRequest request)`
Lazily creates and returns the feedback helper for the given request.
`protected abstract Command`
GraphicalNodeEditPolicy.`getReconnectSourceCommand(ReconnectRequest request)`
Returns the `Command` to reconnect a connection's source end to the host.
`protected abstract Command`
GraphicalNodeEditPolicy.`getReconnectTargetCommand(ReconnectRequest request)`
Returns the `Command` to reconnect a connection's target end to the host.
`protected void`
ConnectionEndpointEditPolicy.`showConnectionMoveFeedback(ReconnectRequest request)`
Shows or updates connection move feedback.

## Uses of ReconnectRequest in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return ReconnectRequest
Modifier and Type
Method
Description
`protected ReconnectRequest`
ConnectionEndpointTracker.`getTargetRequest()`